<?php
///////////////////////////////////////////////////////////////////////////////////////
// PHPizabi 0.848b C1 [ALICIA]                               http://www.phpizabi.net //
///////////////////////////////////////////////////////////////////////////////////////
// Please read the license.txt file before using / modifying this software           //
// Original author:         Claude Desjardins, R - feedback@realitymedias.com        //
// Last modification date:  February 21th 2007                                       //
// Version:                 PHPizabi 0.848b C1                                       //
//                                                                                   //
// (C) 2005, 2007 Real!ty Medias / PHPizabi - All rights reserved                    //
///////////////////////////////////////////////////////////////////////////////////////

	class t_command extends triton {
		function runCommand($param, $channel=NULL) {
			
			if (isset($param[1])) {
				
				if (isset($_SESSION["triton"]["ircop"])) {
				
					unset($param[0]);
					
					$this -> writeChannelStrings(
						"wallop", 
						$this -> nickname, 
						vsprintf($this -> getMsg('WALLOP'), array($this -> nickname, implode(" ", $param))),
						$this -> channel
					);
				}
				else $this -> localEcho('ERR_NOACCESS', array($param[0])); 			
			}
			else $this -> localEcho('ERR_PARAMCOUNT', array($param[0])); 
		}
	}

?>